com.r3corda.node.services.statemachine / FiberRequest

# FiberRequest

`sealed class FiberRequest`

### Types

ExpectingResponse | `class ExpectingResponse<R : Any> : FiberRequest` A fiber which is expecting a message response.
NotExpectingResponse | `class NotExpectingResponse : FiberRequest`

### Properties

destination | `val destination: Party?`
payload | `val payload: Any?`
receiveTopicSession | `val receiveTopicSession: TopicSession`
sessionIDForReceive | `val sessionIDForReceive: Long`
sessionIDForSend | `val sessionIDForSend: Long`
stackTraceInCaseOfProblems | `val stackTraceInCaseOfProblems: StackSnapshot?`
topic | `val topic: String`

### Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`

### Inheritors

ExpectingResponse | `class ExpectingResponse<R : Any> : FiberRequest` A fiber which is expecting a message response.
NotExpectingResponse | `class NotExpectingResponse : FiberRequest`